## qt4-x11 4.8.6+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Also add ppc64 to the list of non-pch build archs. Thanks Hiroyuki Yamamoto
    for the tip.
  * Refresh patches.
  * Update symbols files with buildd's logs and current build log.
  * Apply upstream's dont_crash_on_broken_gif_images.patch to solve
    CVE-2014-0190.
  * Add lintian overrides for a bug a lintian which makes it think that HTML
    pages listing RFCs' license are licensed under it.
  * Remove sourceless doc/html/scripts/jquery.js from the original tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Apr 2014 17:42:45 -0300

qt4-x11 (4:4.8.5+git242-g0315971+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildd's and current build logs.
  * Add powerpc to the list of archs that will not build with precompiled
    headers. The last upload FTBFS due to a pch problem, reproducible in a
    porter box. I have mailed debian-powerpc informing them of the situation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Mar 2014 14:32:08 -0300

qt4-x11 (4:4.8.5+git242-g0315971+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Make rm verbose. In this way it's easier to audit the build.
  * Override lintian's old autotools helpers files warnings, we are not
    using them, tested by patching them away and rebuilding. Actually we are
    using the system's version of the involved libs.
  * Update symbols files with buildd's logs.
  * Install new translations.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 08 Mar 2014 21:00:55 -0300

qt4-x11 (4:4.8.5+git209-g718fae5+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Remove Ubuntu-specific code to add armel to armv6_architectures.
    Ubuntu no longer supports armel.
  * Also remove Ubuntu-specific translations code, dropped in Ubuntu
    in version 4:4.8.4+dfsg-0ubuntu8.

  [ Pino Toscano ]
  * Change the libicu48 suggestion in libqtcore4 to libicu52.
    (Closes: #734514)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream git snapshot.
  * Update symbols files with buildd's and current build's logs.
  * Update Standards-Version to 3.9.5, no changes required.
  * Remove commented out AddSense script from static webpage to keep lintian
    calm.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jan 2014 00:27:31 -0300

=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               firebird-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
               flex,
               freetds-dev,
               g++ (>= 4:4.5) [s390],
               g++-4.6 (>= 4.6.0-7~) [armel],
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk2.0-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libmng-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libpng-dev,
               libpq-dev,
               libreadline-dev,
               libsm-dev,
               libsqlite0-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               pkg-kde-tools (>= 0.14.2),
               rsync,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: libqtwebkit-dev
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt4-x11.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt4-x11.git

Package: libqtcore4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtcore4-l10n, ${misc:Depends}, ${shlibs:Depends}
Suggests: libicu52, libthai0
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: qtcore4-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Replaces: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Description: Qt 4 core module translations
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the translations of the QtCore module.

Package: libqt4-core
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-dbus (= ${binary:Version}),
         libqt4-network (= ${binary:Version}),
         libqt4-script (= ${binary:Version}),
         libqt4-test (= ${binary:Version}),
         libqt4-xml (= ${binary:Version}),
         libqtcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 core non-GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt 4.3 or earlier Qt 4 releases previously shipped.

Package: libqtgui4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Suggests: qt4-qtconfig
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-designer (= ${binary:Version}),
         libqt4-opengl (= ${binary:Version}),
         libqt4-svg (= ${binary:Version}),
         libqtgui4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package depending on the Qt 4 GUI library
 packages which the package of the same name used to provide in Qt 4.3.4
 and earlier packages of Qt 4.

Package: libqt4-network
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-opengl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt4-script
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-scripttools
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: libqt4-sql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite | libqt4-sql-sqlite2 | libqt4-sql-ibase [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc]
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to use the SQL module for development, you should install the
 libqt4-dev package.

Package: libqt4-sql-ibase
Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 InterBase/FireBird database driver
 This package contains the InterBase/FireBird plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 InterBase/FireBird DB.

Package: libqt4-sql-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 MySQL database driver
 This package contains the MySQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt4-sql-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 ODBC database driver
 This package contains the ODBC plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt4-sql-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt4-sql-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt4-sql-sqlite2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 2 database driver
 This package contains the SQLite 2 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 2 DB.

Package: libqt4-sql-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt4-svg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqtwebkit4 (>= 2.0~), ${misc:Depends}
Description: transitional package for Qt 4 WebKit module
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt WebKit 4.4 - 4.6 releases previously shipped from Qt source.

Package: libqt4-xml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xmlpatterns
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt4-dbus
Architecture: any
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QTDIR := $(shell pwd)
export PATH := $(QTDIR)/bin:$(PATH)
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
# workaround to use lrelease.
export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
# workaround to use qhelpgenerator.
export QT_PLUGIN_PATH := $(QTDIR)/plugins

# Packages with own debug package
pkgs_dbg := $(shell dh_listpackages | grep dbg | sed -e '/libqt4-dbg/d; s|-dbg||')
# Packages whose debug symbols belong to qt4-bin-dbg
pkgs_dbgbin := libqt4-dev-bin $(filter-out %-dbg lib% $(pkgs_dbg),$(shell dh_listpackages))
# Library package list for override_dh_makeshlibs, excludes libqt4-phonon
pkgs_lib := $(filter-out %-dev %-dbg libqt4-phonon libqt4-dev-bin,$(filter lib%,$(shell dh_listpackages)))
# Upstream changelog
upstream_changes := $(wildcard changes-*)
# Current debian version (e.g.: 4:4.5.2-1)
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
# Specific shlibs version (e.g.: 4:4.5.2)
shlibs_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# libqt4-phonon shlibs. Minimum libphonon4 version may need adjusting for new
# Qt upstream release
libqt4phonon_shlibs := libphonon4 (>= 4:4.6.0) | libqt4-phonon (= $(current_version))
# Distribution vendor
vendor := $(shell dpkg-vendor --query Vendor)

ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

ifneq (,$(filter %-sql-sqlite2,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-sqlite2
else
	extra_configure_opts += -no-sql-sqlite2
endif

ifeq ($(DEB_HOST_ARCH),arm)
	extra_configure_opts += -DQT_QLOCALE_USES_FCVT
endif

armv6_architectures := armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(armv6_architectures)))
	extra_configure_opts += -arch armv6
endif

ifeq ($(vendor),Ubuntu)
gles2_architectures := armel armhf
else
gles2_architectures := none_for_now
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop \
	                        -no-egl
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
	platform_arg = linux-g++
  else ifeq ($(DEB_HOST_ARCH_BITS),64)
	platform_arg = linux-g++-64
  else
	platform_arg = linux-g++
  endif
else
  ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
  else
	platform_arg = glibc-g++
  endif
endif

no_pch_architectures := armhf ia64 powerpc ppc64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	# Test broken hppa kernel with glibc >= 2.5
ifeq ($(DEB_HOST_ARCH),hppa)
	mkdir -p debian/hppa-tmp
	echo "Testing whether getdents kernel bug is present on this buildd - see #433768"
	gcc -o debian/hppa-tmp/hppa-test-program debian/readdir-hppa-test.c
	cd $(CURDIR)/doc/src/images && $(CURDIR)/debian/hppa-tmp/hppa-test-program | sort > $(CURDIR)/debian/hppa-tmp/readdir_r-out
	cd $(CURDIR)/doc/src/images && ls -a | sort > $(CURDIR)/debian/hppa-tmp/ls-a-out
	@if ! diff -q $(CURDIR)/debian/hppa-tmp/readdir_r-out $(CURDIR)/debian/hppa-tmp/ls-a-out ; \
		then \
		echo "Kernel bug present. This will misbuild qt4 if proceeding. Failing" ; \
		echo "Please update kernel and test again" ; \
		exit 5 ; \
	fi
endif

	# Create mkspecs/glibc-g++ from mkspecs/linux-g++, needed by GNU/kFreeBSD
	# we cannot use directly linux-g++ due to src/corelib/io/io.pri
	rm -rfv mkspecs/glibc-g++
	cp -a mkspecs/linux-g++ mkspecs/glibc-g++

	# Remove include directory. Then ./configure will take care of calling
	# syncqt and regenerating it.
	rm -rfv include

	./configure -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt4/doc" \
	            -headerdir "/usr/include/qt4" \
	            -datadir "/usr/share/qt4" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports" \
	            -translationdir "/usr/share/qt4/translations" \
	            -sysconfdir "/etc/xdg" \
	            -demosdir "/usr/lib/qt4/demos" \
	            -examplesdir "/usr/lib/qt4/examples" \
	            -opensource \
	            -fast \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -xmlpatterns \
	            -no-multimedia \
	            -audio-backend \
	            -phonon \
	            -no-phonon-backend \
	            -svg \
	            -no-webkit \
	            -script \
	            -scripttools \
	            -platform $(platform_arg) \
	            -system-zlib \
	            -system-libtiff \
	            -system-libpng \
	            -system-libjpeg \
	            -no-rpath \
	            -optimized-qmake \
	            -dbus-linked \
	            -reduce-relocations \
	            -no-separate-debug-info \
	            -verbose \
	            -gtkstyle \
	            -system-nas-sound \
	            -no-openvg \
	            -lfontconfig \
	            -I/usr/include/freetype2 \
	            -qvfb \
	            -icu \
	            $(extra_configure_opts)

override_dh_auto_build:
	dh_auto_build
	# Build documentations
ifneq (,$(filter qt4-doc, $(shell dh_listpackages)))
	# Build documentations
	dh_auto_build -Smakefile -- docs
endif
	# Build translations
	dh_auto_build -Smakefile -- -C translations ts-all
	# Workaround: It's a known qmake limitation.
	# It can't generate install rules for files that don't exist yet like docs.
	./config.status

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -fv \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rfv \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  include/ \
	  lib/ \
	  mkspecs/glibc-g++/ \
	  plugins/ \
	;

	# hppa test directory
	rm -rfv debian/hppa-tmp

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rfv

	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \
	\) -print0 | xargs -0 rm -rfv

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rfv

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -fv

	# Generated on build
	rm -fv debian/shlibs.local
	rm -fv debian/stamp-makefile-build-tools

## qt4-x11 4.8.6+git49-gbc62005+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Install qatomic_aarch64.h
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
      + aarch64.patch
      + ppc64el.patch
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 26 Jul 2014 11:44:27 +0400

qt4-x11 (4:4.8.6+git49-gbc62005+dfsg-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Update 07_trust_dpkg-arch_over_uname-m.diff and debian/rules in order to
    let mips64[el] build (Closes: #719763). Thanks Yunqiang Su for the patch.
  * Enable using system network proxies by default.
    - Add this information to debian/NEWS to inform our users.
  * Update symbols files with buildd's logs.
  * Refresh patches.
  * Update install files due to the fix of QTBUG-16838.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 25 Jul 2014 14:07:38 -0300

qt4-x11 (4:4.8.6+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add arm64 to no_pch_architectures.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Use the standard compiler provided by build-essential (Closes: 747988).
  * Update symbols files with buildd's and current logs.
  * Add parisc-atomic.patch to improve atomic support on parisc
    (Closes: #741190).
  * Add ppc64el to the list of architectures that build without using pch,
    partly solving #749743.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 16 Jun 2014 10:10:58 -0300

qt4-x11 (4:4.8.6+dfsg-1ubuntu2) utopic; urgency=medium

  * Add arm64 to no_pch_architectures, should fix FTBFS.
    See LP #1318635 for details.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 May 2014 18:06:34 +0400

qt4-x11 (4:4.8.6+dfsg-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Build QtWebkit and use it only for QtAssistant
      + Rule to put qt_webkit_version.pri in mkspecs/modules
      + Rule to remove libQtWebKit* after build
      + Exclude usr/bin/assistant-qt4 from dh_shlibdeps
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - On armel and armhf, build with -gstabs instead of -g in an effort to get
      the link step for QtWebkit to complete before timed out by the builders
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Install qatomic_aarch64.h
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_14_systemtrayicon.diff
      + kubuntu_17_enable_qtwebkit_for_qtassistant.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_31_unity_workarea_atom.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
      + aarch64.patch
      + ppc64el.patch
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    - Use Kubuntu Vcs fields
  * Drop kubuntu_34_no_gold_check.diff, applied upstream.
  * Drop aarch64_fix_jsc.patch, no longer needed.
  * Drop aarch64_fix_atomic_set.patch, instead of patching a patch
    apply changes directly in aarch64.patch.
  * Refresh and rebase other patches.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 25 Apr 2014 13:46:57 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt4-x11
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -10,19 +11,17 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               firebird-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
                flex,
                freetds-dev,
-               g++ (>= 4:4.5) [s390],
-               g++-4.6 (>= 4.6.0-7~) [armel],
                libasound2-dev [linux-any],
                libaudio-dev,
                libcups2-dev,
                libdbus-1-dev,
                libfreetype6-dev,
-               libgl1-mesa-dev,
+               libgl1-mesa-dev [!armel !armhf],
+               libgles2-mesa-dev [armel armhf],
                libglib2.0-dev,
-               libglu1-mesa-dev,
+               libglu1-mesa-dev [!armel !armhf],
                libgstreamer-plugins-base0.10-dev,
                libgstreamer0.10-dev,
                libgtk2.0-dev,
@@ -36,7 +35,6 @@
                libpq-dev,
                libreadline-dev,
                libsm-dev,
-               libsqlite0-dev,
                libsqlite3-dev,
                libssl-dev,
                libtiff-dev,
@@ -60,8 +58,8 @@
 Build-Conflicts: libqtwebkit-dev
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt4-x11.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt4-x11.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
 
 Package: libqtcore4
 Architecture: any
@@ -194,7 +192,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite | libqt4-sql-sqlite2 | libqt4-sql-ibase [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc]
+Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite
 Suggests: libqt4-dev
 Description: Qt 4 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -206,17 +204,17 @@
  If you wish to use the SQL module for development, you should install the
  libqt4-dev package.
 
-Package: libqt4-sql-ibase
-Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: libqt4-dev
-Description: Qt 4 InterBase/FireBird database driver
- This package contains the InterBase/FireBird plugin for Qt 4.
- .
- Install it if you intend to use or write Qt programs that are to access an
- InterBase/FireBird DB.
+#Package: libqt4-sql-ibase
+#Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Suggests: libqt4-dev
+#Description: Qt 4 InterBase/FireBird database driver
+# This package contains the InterBase/FireBird plugin for Qt 4.
+# .
+# Install it if you intend to use or write Qt programs that are to access an
+# InterBase/FireBird DB.
 
 Package: libqt4-sql-mysql
 Architecture: any
@@ -266,17 +264,17 @@
  Install it if you intend to use or write Qt programs that are to access an
  SQLite 3 DB.
 
-Package: libqt4-sql-sqlite2
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: libqt4-dev
-Description: Qt 4 SQLite 2 database driver
- This package contains the SQLite 2 plugin for Qt 4.
- .
- Install it if you intend to use or write Qt programs that are to access an
- SQLite 2 DB.
+#Package: libqt4-sql-sqlite2
+#Architecture: any
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Suggests: libqt4-dev
+#Description: Qt 4 SQLite 2 database driver
+# This package contains the SQLite 2 plugin for Qt 4.
+# .
+# Install it if you intend to use or write Qt programs that are to access an
+# SQLite 2 DB.
 
 Package: libqt4-sql-tds
 Architecture: any
@@ -342,3 +340,7 @@
 Package: libqt4-dbus
 Architecture: any
 Multi-Arch: same
+Depends: libqtdbus4 (= ${binary:Version}),
+         qdbus (= ${binary:Version}),
+         ${misc:Depends}
+Replaces: libqt4-dev (<< 4:4.7.1)

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,15 @@
 export PATH := $(QTDIR)/bin:$(PATH)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+# Use -gstabs instaed of -g on armel and armhf to make the link step complete
+# within buildd limitations
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
+export CFLAGS := $(CFLAGS:-g=-gstabs)
+export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+export CXXFLAGS := -fpermissive $(CXXFLAGS)
+endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
 export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
@@ -60,15 +69,22 @@
 gles2_architectures := none_for_now
 endif
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
-	extra_configure_opts += -opengl es2
+	extra_configure_opts += -opengl es2 \
+	                        -no-neon
 else
 	extra_configure_opts += -opengl desktop \
 	                        -no-egl
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	extra_configure_opts += -no-javascript-jit
+endif
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
+  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el))
 	platform_arg = linux-g++
+  else ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	platform_arg = linux-g++-aarch64
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
   else
@@ -82,7 +98,7 @@
   endif
 endif
 
-no_pch_architectures := armhf ia64 powerpc ppc64
+no_pch_architectures := arm64 armhf ia64 powerpc ppc64
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
 	extra_configure_opts += -no-pch
 endif
@@ -139,7 +155,7 @@
 	            -xmlpatterns \
 	            -no-multimedia \
 	            -audio-backend \
-	            -phonon \
+	            -no-phonon \
 	            -no-phonon-backend \
 	            -svg \
 	            -no-webkit \
@@ -150,6 +166,7 @@
 	            -system-libtiff \
 	            -system-libpng \
 	            -system-libjpeg \
+	            -system-proxies \
 	            -no-rpath \
 	            -optimized-qmake \
 	            -dbus-linked \
@@ -165,6 +182,9 @@
 	            -icu \
 	            $(extra_configure_opts)
 
+	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
+	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
+
 override_dh_auto_build:
 	dh_auto_build
 	# Build documentations
@@ -177,6 +197,8 @@
 	# Workaround: It's a known qmake limitation.
 	# It can't generate install rules for files that don't exist yet like docs.
 	./config.status
+	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
+	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
@@ -214,41 +236,3 @@
 	  -o -name debug-static \
 	  -o -name \*.gch \
 	  -o -name .moc\* \
-	  -o -name .obj\* \
-	  -o -name .pch \
-	  -o -name pkgconfig \
-	  -o -name .rcc \
-	  -o -name release-shared \
-	  -o -name release-static \
-	  -o -name .uic \
-	\) -print0 | xargs -0 rm -rfv
-
-	# Leftover files and all symlinks
-	find \( -false \
-	  -o -name \*.a \
-	  -o -name Makefile.Debug \
-	  -o -name Makefile.Release \
-	  -o -name \*.o \
-	  -o -name \*.prl \
-	  -o -name \*.so \
-	  -o -name \*.so.debug \
-	  -o -type l \
-	\) -print0 | xargs -0 rm -rfv
-
-	# Delete all Makefiles, excluding some from src/3rdparty
-	find $(CURDIR) -name Makefile \
-	  ! -path $(CURDIR)/src/3rdparty/Makefile \
-	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
-	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
-	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
-	-print0 | xargs -0 rm -rfv
-
-	# Any remaining executables
-	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
-	| grep -e application/x-executable \
-	| cut -d ':' -f 1 | xargs rm -fv
-
-	# Generated on build
-	rm -fv debian/shlibs.local
-	rm -fv debian/stamp-makefile-build-tools
-

## qt4-x11 4.8.6+git64

=== util/gencmap/Makefile ===
#############################################################################
# Qt Makefile - gencmap
#############################################################################

####### Directories

BASEDIR	=	$(QTDIR)
INCDIR	=	$(BASEDIR)/include
LIBDIR	=	$(BASEDIR)/lib

####### Compiler

CFLAGS	=	-O2
LFLAGS	=	-L$(LIBDIR)
CC	=	gcc

####### Files

SOURCES	=	gencmap.cpp
OBJECTS	=	gencmap.o
TARGET	=	gencmap

####### Implicit rules

.SUFFIXES:
.SUFFIXES: .cpp $(SUFFIXES)

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -o $(TARGET) $(LFLAGS)

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(TARGET)


# DO NOT DELETE THIS LINE -- make depend depends on it.
